Package org.apache.tools.ant.taskdefs.optional.jsp

# Class JspC.WebAppParameter

java.lang.Object
org.apache.tools.ant.taskdefs.optional.jsp.JspC.WebAppParameter

Enclosing class:
  `JspC`

public static class JspC.WebAppParameter extends Object
static inner class used as a parameter element

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebAppParameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDirectory()`
  query current directory
  `void`
  `setBaseDir(File directory)`
  set directory; alternate syntax

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WebAppParameter

    public WebAppParameter()

- ## Method Details

  - ### getDirectory

    public File getDirectory()
    query current directory
    Returns:
      the directory.

  - ### setBaseDir

    public void setBaseDir(File directory)
    set directory; alternate syntax
    Parameters:
      `directory` - the base dir.